# Colon built-in

The colon built-in does nothing.

## Syntax

- `: [argument…]`

## Description

The colon built-in does nothing. Any command line arguments are ignored.

## Exit status

The exit status of the colon built-in is zero.

## Notes

The colon built-in is a special built-in.

Arguments are expanded and redirections are performed as usual. The colon and true built-ins have the same effect, but colon is a special built-in while true is a mandatory.